M-pixel-integration-guide

# M-pixel 代码集成说明
---

## Step 1: 全站代码初始化

在您网站**所有页面**的 `<body>  </body>` 标签之间插入以下代码

```
<script>(function(){var s=document.createElement('script');s.setAttribute('type','text/javascript');s.id='mintegral_pixel';s.src=location.protocol==='http:'?'http:':'https:'+'//hybird.rayjump.com/m-pixel/main.js';document.body.appendChild(s);})()</script>
```

> 注意: 您需要有修改网站代码的权限


## Step 2: 上报事件

第一步初始化完成之后, 就可以根据需要在业务流程中添加事件上报了, 当前支持的事件上报类型有 13 种: 
用户购买

    ```
    mintegralTracking && mintegralTracking('mv_purchase', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '',  // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '', // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })
    ```
非登录用户购买

    ```
    mintegralTracking && mintegralTracking('mv_guest_purchase', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '',  // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '' , // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })
    ```
登录用户购买

    ```
    mintegralTracking && mintegralTracking('mv_vip_purchase', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '',  // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '' , // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })
    ```
产生销售线索

    ```
    mintegralTracking && mintegralTracking('mv_generate_lead', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '',  // 币种, 如 cny, jpy, 字符串类型
        content_category: ''
    })
    ```
用户完成注册

    ```
    // after registration success
    mintegralTracking && mintegralTracking('mv_finish_registration', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: 'usd' // 币种, 如 cny, jpy, 字符串类型
    })
    ```
用户加入收藏

    ```
    // 加入收藏成功后执行
    mintegralTracking && mintegralTracking('mv_add_Wish', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: 'usd' // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '' // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
    })
    ```
用户加入购物车

    ```
    // 加入购物车成功后执行
    mintegralTracking && mintegralTracking('mv_add_Cart', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: 'usd' // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '' // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
    })    
    ```
用户填写订单

    ```
    // 填写订单完成后执行
    mintegralTracking && mintegralTracking('mv_fill_order', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '', // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })
    ```
用户发起支付

    ```
    // 用户发起支付后执行
    mintegralTracking && mintegralTracking('mv_initiate_checkout', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '', // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })    
    ```

添加配送信息

    ```
    // 添加配送信息成功后执行
    mintegralTracking && mintegralTracking('mv_add_deliveryinfo', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '', // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })    
    ```

添加支付信息

    ```
    // 添加支付信息成功后执行
    mintegralTracking && mintegralTracking('mv_add_paymentinfo', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        content_id_list: '', // 商品 id, 如果要传递 id 列表, 请拼接在字符串中, 并以逗号分隔, 字符串类型
        order_num: '' // 当前要付款的对应订单的编号, 字符串类型
    })
    ```

用户搜索

    ```
    // 用户搜索后执行
    mintegralTracking && mintegralTracking('mv_search', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        search_string: '',
        content_category: ''
    })
    ```

用户浏览内容

    ```
    // 用户浏览后执行
    mintegralTracking && mintegralTracking('mv_content_view', {
        event_value: 0, // 事件价值, 用来代表用户当前行为所对应的潜在价值, 数字类型
        value: 0, // 商品或订单金额, 数字类型
        currency: '', // 币种, 如 cny, jpy, 字符串类型
        content_ids: '',
        content_category: ''
    })
    ```

## Example
以 "用户购买" 为例, 假设您 "购买按钮" 的代码逻辑如下:

```
<div onclick='purchase()'>buy</div>

// other business code ...

<script type='text/javascript'>
  function purchase () {
    // your purchase process
    // ...
    
  }
</script>
```

您可以在用户点击 "购买按钮" 触发的 purchase 方法中上报本次 tracking 和相关数据, 如下:

```
<div onclick='purchase()'>buy</div>

// other business code ...

<script type='text/javascript'>
  function purchase () {
    // your purchase process
    // ...
    
    // ---------- mintegral tracking code start ----------
    mintegralTracking && mintegralTracking('mv_purchase', {
      event_value: 39.99, // 事件价值
      value: 39.99, // 订单金额
      currency: 'usd',  // 币种
      content_id_list: '10001,10002,10003', // 商品 id/商品 id 列表
      order_num: '869576572' // 订单号
    })
    // ---------- mintegral tracking code end ----------
  }
</script>
```








